Apis::V4::PeopleSearch API

search people by archived

Parameters

Name Description
access_token JSON Web Token retrieved from the Sessions endpoint (you can also passthis into the Authorization header)
q search string, the system will try to search by first and last name, or email address if you include a '@'
limit max number of people to return. Defaults to 10.
organization_ids (optional) only look in these organizations
fields hash of fields you want for model types. the person type will default to these fields: first_name,last_name,gender,primary_email_address. But you could request picture if you want to receive that as well.

Request

Headers

Version: HTTP/1.0
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDU0MDIyNCwiaWF0IjoxNzk0NTQwMDQ0fQ.i28-4-PAKp8Lw2r2mnBmaIsHq5lwn_9zwDsrPYzYKSo
Host: example.org
Cookie: 

Route

GET /apis/v4/search?filters[archived]=true

Query Parameters

filters={"archived"=>"true"}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/vnd.api+json
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDcxMjg0NCwiaWF0IjoxNzk0NTQwMDQ0fQ.4PHO4XBcHQ9VLfAqSkIzUqo9aIIvQH6zaW_Jd28caXw
Access-Control-Expose-Headers: X-MH-Session
ETag: W/"c99f4b176ab0cc2b82b624a887dcca7a"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: a3612819-b475-480b-8253-a016bfad3fb8
X-Runtime: 0.060743
Content-Length: 1169

Status

200

Body

Request

Headers

Version: HTTP/1.0
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDU0MDIyNCwiaWF0IjoxNzk0NTQwMDQ0fQ.i28-4-PAKp8Lw2r2mnBmaIsHq5lwn_9zwDsrPYzYKSo
Host: example.org
Cookie: 

Route

GET /apis/v4/search?filters[archived]=any

Query Parameters

filters={"archived"=>"any"}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/vnd.api+json
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDcxMjg0NCwiaWF0IjoxNzk0NTQwMDQ0fQ.4PHO4XBcHQ9VLfAqSkIzUqo9aIIvQH6zaW_Jd28caXw
Access-Control-Expose-Headers: X-MH-Session
ETag: W/"7dbd30f7b099a92b1380b002d9c7073e"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 67c40a2f-d797-4fac-bc76-89ab6692a702
X-Runtime: 0.148867
Content-Length: 5028

Status

200

Body